/* ==========================
        PREMIUM NAVBAR
========================== */

header{
    position:fixed;
    width:100%;
    top:0;
    left:0;
    z-index:9999;
    background:rgba(0,0,0,.20);
    backdrop-filter:blur(12px);
    transition:.4s;
}

.navbar{

    width:92%;

    max-width:1400px;

    height:90px;

    margin:auto;

    display:flex;

    justify-content:space-between;

    align-items:center;

}

.logo img{

    width:230px;

    transition:.4s;

}

.logo img:hover{

    transform:scale(1.05);

}

.nav-menu{

    display:flex;

    gap:45px;

}

.nav-menu li{

    list-style:none;

}

.nav-menu a{

    color:#fff;

    text-decoration:none;

    font-size:17px;

    font-weight:500;

    position:relative;

    transition:.35s;

}

.nav-menu a::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-8px;

    width:0;

    height:2px;

    background:#D4AF37;

    transition:.35s;

}

.nav-menu a:hover{

    color:#D4AF37;

}

.nav-menu a:hover::after{

    width:100%;

}

.active{

    color:#D4AF37;

}

.active::after{

    width:100%;

}

.menu-btn{

    display:none;

    color:#fff;

    font-size:28px;

    cursor:pointer;

}
/*==============================
Sticky Navbar
==============================*/

header{

    background:transparent;

}

header.sticky{

    background:rgba(0,0,0,.92);

    backdrop-filter:blur(16px);

    box-shadow:0 10px 30px rgba(0,0,0,.45);

}
/*==============================
MOBILE MENU
==============================*/

.menu-toggle{

    width:40px;
    height:30px;

    display:none;

    flex-direction:column;

    justify-content:space-between;

    cursor:pointer;

    z-index:10001;

}

.menu-toggle span{

    width:100%;

    height:3px;

    background:#D4AF37;

    border-radius:10px;

    transition:.4s;

}

/* Active Animation */

.menu-toggle.active span:nth-child(1){

    transform:rotate(45deg) translateY(11px);

}

.menu-toggle.active span:nth-child(2){

    opacity:0;

}

.menu-toggle.active span:nth-child(3){

    transform:rotate(-45deg) translateY(-11px);

}

/* Overlay */

.menu-overlay{

    position:fixed;

    inset:0;

    background:rgba(0,0,0,.45);

    backdrop-filter:blur(6px);

    opacity:0;

    visibility:hidden;

    transition:.3s;

    z-index:9998;

}

.menu-overlay.active{

    opacity:1;

    visibility:visible;

}
/* Mobile Toggle Position */

.menu-toggle{

    margin-left:auto;

}
.menu-btn{
    display:none !important;
}